/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package jsfSupport.managedBeans;

import javax.ejb.EJB;
import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;

import jsfSupport.converters.PositionConverter;
import persistence.jpa.entities.Comment;
import persistence.jpa.entities.Company;
import persistence.jpa.entities.Customer;
import persistence.jpa.entities.Employee;
import persistence.jpa.entities.Person;
import persistence.jpa.entities.Position;
import sessionBeans.CompanySBLocal;
import sessionBeans.PersonAgendaLocal;
import sessionBeans.RequestSBLocal;

/**
 *
 * @author jez04
 */
@ManagedBean
@ApplicationScoped
public class ConverterFactory {

    @EJB
    protected PersonAgendaLocal personAgendaLocal;
    @EJB
    protected RequestSBLocal requestSBLocal;
    @EJB
    protected CompanySBLocal companySBLocal;
    
    /** Creates a new instance of ConverterFactory */
    public ConverterFactory() {
    }
    
    public Person getPerson(Long id){
    	return personAgendaLocal.getPersonById(id);
    }

    public Employee getEmploeey(Long id){
    	return personAgendaLocal.getEmployeeById(id);
    }

    public Company getCompany(Long id){
    	return companySBLocal.getCompanyById(id);
    }

    public Comment getComment(Long id){
    	return requestSBLocal.getCommentById(id);
    }

    public Customer getCustomer(Long id){
    	return companySBLocal.getCustomerById(id);
    }

    public Position getPosition(Long id){
    	return companySBLocal.getPositionById(id);
    }
    
    public PositionConverter getPositionConverter(){
    	return new PositionConverter();
    }

}
