/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package persistence.jpa.dao;

import java.util.List;

import javax.persistence.EntityManager;

import persistence.jpa.entities.Employee;

/**
 *
 * @author jez04
 */
public class EmployeeDao extends EntityDao<Employee>{

    public EmployeeDao(EntityManager em) {
        super(em);
    }

    public List<Employee> getAllEmployees(int start, int length, boolean initPositionList){
        List<Employee> emplyees = (List<Employee>)getAll(start, length);
        if(initPositionList){
        	for (Employee employee : emplyees) {
				employee.getPositions().size();
			}
        }
        return emplyees;
    }

    public Employee saveEmployee(Employee employee) {
        em.merge(employee);
        em.flush();
        return employee;
    }

    public void refresh(Employee e) {
        e = em.merge(e);
        em.refresh(e);
    }
	@Override
	protected Class getEntityClass() {
		return Employee.class;
	}
}
