/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package persistence.jpa.entities;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author jez04
 */
@NamedQueries({
	@NamedQuery(name="Comment.all", query="SELECT c FROM Comment c"),
	@NamedQuery(name="Comment.allCount", query="SELECT count(c) FROM Comment c")
})

@Entity
public class Comment extends CompanyEntity {
    private static final long serialVersionUID = 1L;

    @Temporal(TemporalType.TIMESTAMP)
    private Date time;
    private String comment;

    @ManyToOne(fetch=FetchType.EAGER)
    private Person autor;
    @ManyToOne(fetch=FetchType.EAGER)
    private Request commentFor;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Person getAutor() {
        return autor;
    }

    public void setAutor(Person autor) {
        this.autor = autor;
    }

    public Request getCommentFor() {
        return commentFor;
    }

    public void setCommentFor(Request comemnetFor) {
        this.commentFor = comemnetFor;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    @Override
    public String toString() {
        return "Comment{" + "id=" + id + "time=" + time + "comment=" + comment + "autor=" + autor + "comemnetFor=" + commentFor + '}';
    }


}
