/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package persistence.jpa.entities;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToMany;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;

import org.eclipse.persistence.platform.database.oracle.annotations.NamedPLSQLStoredProcedureQuery;

/**
 *
 * @author jez04
 */

@NamedQueries({
		@NamedQuery(name="Position.all", query="SELECT p FROM Position p"),
		@NamedQuery(name="Position.allCount", query="SELECT count(p) FROM Position p")
})
@Entity
public class Position extends CompanyEntity {
    private static final long serialVersionUID = 1L;

    private String name;
    private String description;

    @ManyToMany(fetch=FetchType.LAZY, mappedBy="positions")
    protected List<Employee> staffs;

    public Position() {
    }

    public Position(String name, String description) {
        this.name = name;
        this.description = description;
    }


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<Employee> getStaffs() {
        return staffs;
    }

    public void setStaffs(ArrayList<Employee> staffs) {
        this.staffs = staffs;
    }
    
    @Override
    public String toString() {
        return "Position{" + "id=" + id + "name=" + name + "description=" + description + '}';
    }




}
