/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sessionBeans;

import java.util.Collection;
import java.util.List;

import javax.ejb.Local;

import persistence.jpa.entities.Comment;
import persistence.jpa.entities.Customer;
import persistence.jpa.entities.Employee;
import persistence.jpa.entities.Person;
import persistence.jpa.entities.Position;

/**
 *
 * @author jez04
 */
@Local
public interface PersonAgendaLocal {
    public Collection<Person> getAllPersons(int index, int length, boolean initPositionList);

    public List<Customer> getAllCustomers(int index, int length);
    public List<Employee> getAllEmployees(int index, int length, boolean initPositionList);
    public Employee getEmployeeById(Long id);
    public Employee getEmployeeById(Long id, boolean initPositionList);

    public Customer saveCustomer(Customer customer);
    public Employee saveEmployee(Employee employee);


    public void savePosition(Position position);
    public Collection<Position> getAllPositions(int startIndex, int length, boolean initStaffList);
    public Position getPositionById(Long id);


    public Person login(String userName, String passwd);
    public void checkInstalled();
    
    public void assign(Employee e, Position p);

	public Person getPersonById(Long id);
    
}
