/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package jsfSupport.converters;

import java.text.DateFormat;
import java.text.ParseException;
import java.util.Date;
import javax.faces.component.UIComponent;
import javax.faces.component.behavior.FacesBehavior;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.ConverterException;

/**
 *
 * @author jez04
 */
public class DateConverter implements Converter{

    public Object getAsObject(FacesContext context, UIComponent component, String value) {
        try{
            return DateFormat.getDateInstance().parse(value);
        } catch(ParseException e){
            throw new ConverterException(e.getMessage());
        }
    }

    public String getAsString(FacesContext context, UIComponent component, Object value) {
        if(value instanceof Date){
            Date d = (Date)value;
            return DateFormat.getDateInstance().format(d);
        }
        return value.toString();
    }

}
