/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package persistence.jpa.dao;

import java.util.List;

import javax.persistence.EntityManager;

import persistence.jpa.entities.Company;
import persistence.jpa.entities.CompanyEntity;

/**
 *
 * @author jez04
 */
public class CompanyDao extends EntityDao<Company>{

    public CompanyDao(EntityManager em) {
        super(em);
    }

    public Company saveCompany(Company c){
            em.merge(c);
            em.flush();
            return c;
    }

    public List<Company> searchCompany(String name){
        return em.createQuery("SELECT c FROM Company c WHERE c.name LIKE ?1")
                .setParameter(1, name+"%")
                .getResultList();
    }

	@Override
	protected Class getEntityClass() {
		return Company.class;
	}

}
