/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package persistence.jpa.dao;

import java.util.List;

import javax.persistence.EntityManager;

import persistence.jpa.entities.Customer;

/**
 *
 * @author jez04
 */
public class CustomerDao  extends EntityDao<Customer>{

    public CustomerDao(EntityManager em) {
        super(em);
    }

    public Customer saveCustomer(Customer cus){
        em.merge(cus);
        em.flush();
        return cus;
    }

    public List<Customer> getAllCustomersFrom(int companyId){
        return em.createQuery("SELECT c FROM Customer c WHERE c.company.id=?1")
                .setParameter(1, companyId).getResultList();
    }

	@Override
	protected Class getEntityClass() {
		return Customer.class;
	}
}
