/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package persistence.jpa.dao;

import java.util.Collection;

import javax.persistence.EntityManager;

import persistence.jpa.entities.Employee;
import persistence.jpa.entities.Position;

/**
 *
 * @author jez04
 */
public class PositionDao extends EntityDao<Position> {

	public PositionDao(EntityManager em) {
		super(em);
	}

	public Collection<Position> getAllPositions(int startIndex, int length,
			boolean initStaffList) {
		Collection<Position> col = getAll(startIndex, length);
		if (initStaffList) {
			for (Position position : col) {
				position.getStaffs().size();
			}
		}
		return col;
	}

	public void assign(Employee employee, Position p) {
		p = em.merge(p);
		employee = em.merge(employee);
		employee.getPositions().add(p);
		em.flush();
		em.refresh(p);
	}

	@Override
	protected Class getEntityClass() {
		return Position.class;
	}
}
