/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package persistence.jpa.entities;

import java.io.Serializable;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author jez04
 */
@NamedQueries({
	@NamedQuery(name="Customer.all", query="SELECT c FROM Customer c"),
	@NamedQuery(name="Customer.allCount", query="SELECT count(c) FROM Customer c")
})

@Entity
public class Customer extends Person {
    private static final long serialVersionUID = 1L;

    @ManyToOne(cascade={CascadeType.ALL})
    protected Company company;
    @OneToMany(fetch=FetchType.LAZY, mappedBy="autor")
    protected List<Request> requests;

    public Company getCompany() {
        return company;
    }

    public void setCompany(Company company) {
        this.company = company;
    }

    public List<Request> getRequests() {
        return requests;
    }

    public void setRequests(List<Request> requests) {
        this.requests = requests;
    }

    @Override
    public String toString() {
        return "Customer{" + "company=" + company + "requests=" + requests + '}';
    }



}
